package com.ferienclub.leisure.esb;

import java.util.Iterator;

import org.apache.log4j.Logger;
import org.mule.impl.MuleMessage;
import org.mule.umo.UMOMessage;

import com.ferienclub.custadmin.beans.CustomerPreference;
import com.ferienclub.leisure.LeisureOffer;
import com.ferienclub.leisure.esb.messages.BookingRequest;
import com.ferienclub.leisure.esb.messages.LeisureQuery;

public class LeisureManagement implements LeisureManagementService {

	Logger log = Logger.getLogger(LeisureManagement.class);
	
	public LeisureQuery getLeisureOffers(String userId){
		log.info("Entering method getLeisureOffers(\"" + userId + "\n)");
		LeisureQuery query = new LeisureQuery();
		query.setUserId(userId);
		return query;
	}
	
	public BookingRequest makeBooking(LeisureOffer offer, String userId, Integer numberOfPersons, Boolean wantCar){
		log.info("Entering method makeBooking(...)");
		return new BookingRequest(offer,userId, numberOfPersons.intValue(), wantCar.booleanValue());
	}
	
}
